Bug 163931 - CPU doesn't seem to be scaling.
CPU doesn't seem to be scaling.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-21 22:10 EDT by Rodd Clarkson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-25 07:58:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2005-07-21 22:10:28 EDT
Description of problem:

I've just upgraded from a Dell 8600 to a Dell 9300.  Both have Intel Centrino
chipsets and have CPUs that can scale up and down according to need.

On the 8600 this occurred (which could be seen using the gnome CPU scale applet
in a panel) using FC4.

One the 9300 the CPU doesn't seem to scale using rawhide.

The 8600 has a 400MHz FSB and the 9300 has a 533MHz FSB.  Both chipsets where
2.0GHz.

Here's the output of cat /proc/cpuinfo while the CPU is (close to) idle.

[rodd@localhost ~]$ cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 13
model name      : Intel(R) Pentium(R) M processor 2.00GHz
stepping        : 8
cpu MHz         : 798.081
cache size      : 2048 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
clflush dts acpi mmx fxsr sse sse2 ss tm pbe nx est tm2
bogomips        : 1598.60


If I run something CPU intensive (glxgears for example) here's the output (after
letting glxgears run for a 10 seconds to allow the CPU time to scale up):

[rodd@localhost ~]$ cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 13
model name      : Intel(R) Pentium(R) M processor 2.00GHz
stepping        : 8
cpu MHz         : 798.081
cache size      : 2048 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
clflush dts acpi mmx fxsr sse sse2 ss tm pbe nx est tm2
bogomips        : 1598.60



Version-Release number of selected component (if applicable):

kernel-2.6.12-1.1435_FC5


How reproducible:

Always
Comment 1 Rodd Clarkson 2005-07-25 07:58:34 EDT
Okay, things seem to have improved with the move to kernel-2.6.12-1.1436_FC5.

The CPU now scales up if I run glxgears for a while, and I can see it going up
and down as I launch OpenOffice.org.

I'm going to mark this bug fixed.


Note You need to log in before you can comment on or make changes to this bug.